### Method

# WebKit2 WebView get_snapshot_finish

#### Declaration [src]

    cairo_surface_t*
    webkit_web_view_get_snapshot_finish (
      WebKitWebView* web_view,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous operation started with webkit_web_view_get_snapshot().

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `cairo_surface_t`

A #cairo_surface_t with the retrieved snapshot or `NULL` in error.

The caller of the method takes ownership of the data, and is responsible for freeing it.